[Version]
signature="$CHICAGO$"
CatalogFile=usb.cat
LayoutFile=Layout.inf, Layout1.inf, Layout2.inf
Class=USB
ClassGUID={36FC9E60-C465-11CF-8056-444553540000}
Provider=%CustSWTeam%
DriverVer=11/20/2001

[DestinationDirs]
DefaultDestDir=10,system32\drivers

; =================== Class Sections ===========================

[ClassInstall]
Addreg=USBClassReg

[USBClassReg]
HKR,,,,%USBClassName%
HKR,,Icon,,-20


; =================== Table of content =========================

[Manufacturer]
%CustHWTeam%=Cust

[SourceDisksNames]
1="UnisDC 4200 Driver Disk",,,

[SourceDisksFiles]

; =================== Generic ==================================
[Cust]
%CustICNameVID0797PID892x%=GT892x.Dev,USB\VID_0461&PID_081C
; --------------------------------------------------------------

[GT892x.Dev]
AddReg=GT892x.AddReg
DelReg=GT892x.DelReg

[GT892x.Dev.NT]
AddReg=GT892x.AddReg
DelReg=GT892x.DelReg

[DefaultInstall]
AddReg=GT892x.AddReg
DelReg=GT892x.DelReg

[DefaultInstall.NT]
AddReg=GT892x.AddReg
DelReg=GT892x.DelReg

[GT892x.Dev.NT.Services]
AddService = usbhub, 0x00000002, GT892x.AddService

[GT892x.AddService]
DisplayName    = %CustICNameVID0797PID892x%
ServiceType    = %SERVICE_KERNEL_DRIVER%
StartType      = %SERVICE_AUTO_START%
ErrorControl   = %SERVICE_ERROR_NORMAL%
ServiceBinary  = %10%\System32\Drivers\usbhub.sys
LoadOrderGroup = Base



; =================== Global ==================================

[GT892x.AddReg]
HKR,,DevLoader,,*NTKERN
HKR,,NTMPDriver,,usbhub.sys

[GT892x.DelReg]
HKR,,EnumPropPages

[ControlFlags]

[DestinationDirs]
DefaultDestDir = 11             ; System directory

[Strings]
SERVICE_KERNEL_DRIVER         = 1
SERVICE_AUTO_START            = 2
SERVICE_DEMAND_START          = 3
SERVICE_ERROR_NORMAL          = 1
CustHWTeam               = "Generic"
CustSWTeam               = "Generic"
CustICNameVID0797PID892x = "UnisDC 4200"
USBClassName                  = "Universal serial bus controller"
